/********************************************************/
/*                                                      */
/* Copyright (c) 1993 by Automated Process Control      */
/*                       106 Business Park Drive        */
/*                       Jackson, Ms. 39213             */
/*                       Ph  (601) 956-2800             */
/*                       FAX (601) 956-9777             */
/*                                                      */
/* SPX 16 Bit Interface -- Library Routine              */
/*                                                      */
/*  File    : SPX_WNB.C                                 */
/*  Subject : Wait for Interface NOT BUSY               */
/*  Version : 1.00                                      */
/*  Author  : Philip E. Foster                          */
/*  Date    : July 16, 1993                             */
/*                                                      */
/*  Code Compliance : Microsoft C 6.0a with ANSI C      */
/*                    language switch selected and      */
/*                    level 4 warnings                  */
/*                                                      */
/********************************************************/

#include "spx_c16.h"

/********************************************************/
/*                                                      */
/* wait_nb(ifbase, nbusy_tim)                           */
/*  Parameters : ifbase is a "SPX_TYPE far *" to the    */
/*                      base address of the interface   */
/*                      array.                          */
/*               nbusy_tim is the "timeout" value used  */
/*                      while waiting for the interface */
/*                      to be NOT busy before writing   */
/*                      CONTROL                         */
/*  Returns    : SUCCESS if successful                  */
/*               TIMEOUT_NB if a timeout occured while  */
/*                      waiting for the interface to be */
/*                      NOT busy.                       */
/*                                                      */
/********************************************************/

int wait_nb(SPX_TYPE far *ifbase, unsigned long nbusy_tim)
{
    while(if_statb(ifbase, __BUSY) && --nbusy_tim)
        ;
    if(!nbusy_tim)
        return(TIMEOUT_NB);
    return(SUCCESS);
}
